Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 210)
+++ src/mlx/acft.py	(revision 211)
@@ -73,8 +73,5 @@
         self._checkers.append(checks.SquawkLogger())
 
-        self._checkers.append(checks.AnticollisionLightsLogger())
-        self._checkers.append(checks.LandingLightsLogger())
-        self._checkers.append(checks.StrobeLightsLogger())
-        self._checkers.append(checks.NavLightsLogger())
+        self._appendLightsLoggers()
 
         self._checkers.append(checks.FlapsLogger())
@@ -96,9 +93,6 @@
 
         # Fault checkers
-        
-        self._checkers.append(checks.AntiCollisionLightsChecker())
-        self._checkers.append(checks.LandingLightsChecker())
-        self._checkers.append(checks.NavLightsChecker())
-        self._checkers.append(checks.StrobeLightsChecker())
+
+        self._appendLightsCheckers()
 
         self._checkers.append(checks.BankChecker())
@@ -314,4 +308,24 @@
             self._logV1R2()
 
+    def _appendLightsLoggers(self):
+        """Append the loggers needed for the lights.
+
+        This default implementation adds the loggers for the anti-collision
+        lights, the landing lights, the strobe lights and the NAV lights."""
+        self._checkers.append(checks.AnticollisionLightsLogger())
+        self._checkers.append(checks.LandingLightsLogger())
+        self._checkers.append(checks.StrobeLightsLogger())
+        self._checkers.append(checks.NavLightsLogger())
+
+    def _appendLightsCheckers(self):
+        """Append the checkers needed for the lights.
+
+        This default implementation adds the checkers for the anti-collision
+        lights, the landing lights, the strobe lights and the NAV lights."""
+        self._checkers.append(checks.AntiCollisionLightsChecker())
+        self._checkers.append(checks.LandingLightsChecker())
+        self._checkers.append(checks.NavLightsChecker())
+        self._checkers.append(checks.StrobeLightsChecker())
+
     def _logV1R2(self):
         """Log the V1, Vr and V2 value either newly, or by updating the
@@ -706,4 +720,16 @@
                             "Total fuel: %.0f kg" % (sum(aircraftState.fuel),))
                             
+    def _appendLightsLoggers(self):
+        """Append the loggers needed for the lights."""
+        self._checkers.append(checks.AnticollisionLightsLogger())
+        self._checkers.append(checks.LandingLightsLogger())
+        self._checkers.append(checks.NavLightsLogger())
+
+    def _appendLightsCheckers(self):
+        """Append the checkers needed for the lights."""
+        self._checkers.append(checks.TupolevAntiCollisionLightsChecker())
+        self._checkers.append(checks.LandingLightsChecker())
+        self._checkers.append(checks.NavLightsChecker())
+
 #---------------------------------------------------------------------------------------
 
@@ -741,4 +767,16 @@
                             "Total fuel: %.0f kg" % (sum(aircraftState.fuel),))
 
+    def _appendLightsLoggers(self):
+        """Append the loggers needed for the lights."""
+        self._checkers.append(checks.AnticollisionLightsLogger())
+        self._checkers.append(checks.LandingLightsLogger())
+        self._checkers.append(checks.NavLightsLogger())
+
+    def _appendLightsCheckers(self):
+        """Append the checkers needed for the lights."""
+        self._checkers.append(checks.TupolevAntiCollisionLightsChecker())
+        self._checkers.append(checks.LandingLightsChecker())
+        self._checkers.append(checks.NavLightsChecker())
+
 #---------------------------------------------------------------------------------------
 
@@ -772,4 +810,16 @@
         self.logger.message(aircraftState.timestamp,
                             "Total fuel: %.0f kg" % (sum(aircraftState.fuel),))
+
+    def _appendLightsLoggers(self):
+        """Append the loggers needed for the lights."""
+        self._checkers.append(checks.AnticollisionLightsLogger())
+        self._checkers.append(checks.LandingLightsLogger())
+        self._checkers.append(checks.NavLightsLogger())
+
+    def _appendLightsCheckers(self):
+        """Append the checkers needed for the lights."""
+        self._checkers.append(checks.AntiCollisionLightsChecker())
+        self._checkers.append(checks.LandingLightsChecker())
+        self._checkers.append(checks.NavLightsChecker())
 
 #---------------------------------------------------------------------------------------
Index: src/mlx/checks.py
===================================================================
--- src/mlx/checks.py	(revision 209)
+++ src/mlx/checks.py	(revision 211)
@@ -547,11 +547,8 @@
     def isCondition(self, flight, aircraft, oldState, state):
         """Check if the fault condition holds."""
-        isTupolev = aircraft.type in [const.AIRCRAFT_T134, 
-                                      const.AIRCRAFT_T154]
         return (flight.stage!=const.STAGE_PARKING or \
                 not flight.config.usingFS2Crew) and \
                 not state.antiCollisionLightsOn and \
-                ((isTupolev and max(state.n1[1:])>5) or \
-                 (not isTupolev and max(state.n1)>5))
+                self.isEngineCondition(state)
 
     def logFault(self, flight, aircraft, logger, oldState, state):
@@ -561,4 +558,20 @@
                                                       "Anti-collision lights were off"),
                            1)
+
+    def isEngineCondition(self, state):
+        """Determine if the engines are in such a state that the lights should
+        be on."""
+        return max(state.n1)>5
+
+#---------------------------------------------------------------------------------------
+
+class TupolevAntiCollisionLightsChecker(AntiCollisionLightsChecker):
+    """Check for the anti-collision light for Tuplev planes."""
+
+    def isEngineCondition(self, state):
+        """Determine if the engines are in such a state that the lights should
+        be on."""
+        return max(state.n1[1:])>5
+    
 
 #---------------------------------------------------------------------------------------
@@ -923,18 +936,13 @@
     def isCondition(self, flight, aircraft, oldState, state):
         """Check if the fault condition holds."""
-        if aircraft.type in [const.AIRCRAFT_T134,
-                             const.AIRCRAFT_T154,
-                             const.AIRCRAFT_YK40]:
-            return False
-        else:
-            return (flight.stage==const.STAGE_BOARDING and \
-                    state.strobeLightsOn and state.onTheGround) or \
-                   (flight.stage==const.STAGE_TAKEOFF and \
-                    not state.strobeLightsOn and not state.gearsDown) or \
-                   (flight.stage in [const.STAGE_CLIMB, const.STAGE_CRUISE,
-                                     const.STAGE_DESCENT] and \
-                   not state.strobeLightsOn and not state.onTheGround) or \
-                   (flight.stage==const.STAGE_PARKING and \
-                    state.strobeLightsOn and state.onTheGround)
+        return (flight.stage==const.STAGE_BOARDING and \
+                state.strobeLightsOn and state.onTheGround) or \
+                (flight.stage==const.STAGE_TAKEOFF and \
+                 not state.strobeLightsOn and not state.gearsDown) or \
+                 (flight.stage in [const.STAGE_CLIMB, const.STAGE_CRUISE,
+                                   const.STAGE_DESCENT] and \
+                  not state.strobeLightsOn and not state.onTheGround) or \
+                  (flight.stage==const.STAGE_PARKING and \
+                   state.strobeLightsOn and state.onTheGround)
                
     def logFault(self, flight, aircraft, logger, oldState, state):
Index: src/mlx/pyuipc_sim.py
===================================================================
--- src/mlx/pyuipc_sim.py	(revision 209)
+++ src/mlx/pyuipc_sim.py	(revision 211)
@@ -118,5 +118,5 @@
 
     # Fuel data index: right tip tank
-    FUEL_RIGHT_AUX = 6
+    FUEL_RIGHT_TIP = 6
 
     # Fuel data index: external 1 tank
@@ -186,5 +186,6 @@
         self.aircraftName = "Cessna 172SP"
         self.flapsNotches = [0, 1, 2, 5, 10, 15, 25, 30, 40]
-        self.fuelCapacities = [10000.0, 5000.0, 5000.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0]
+        self.fuelCapacities = [10000.0, 5000.0, 5000.0, 5000.0, 5000.0,
+                               5000.0, 5000.0, 5000.0, 5000.0, 5000.0]
 
         self.latitude = 47.5
